[groupname]
C++ sources

[extensions]
c, cc, cp, cpp, h, hpp

[options]
casesensitive=yes
usethesaurus=no
spellchecking=no

[access]
level=2

[default]
yes

[hilight\C++Keys(B)]
__abstract
__alignof
__asm
__assume
__based
__box
__cdecl
__declspec
__delegate
__event
__except
__fastcall
__finally
__forceinline
__gc
__hook
__identifier
__if_exists
__if_not_exists
__inline
__interface
__leave
__m64
__m128
__m128d
__m128i
__multiple_inheritance
__nogc
__noop
__pin
__property
__raise
__sealed
__single_inheritance
__stdcall
__super
__try_cast
__try
__except
__finally
__unhook
__uuidof
__value
__virtual_inheritance
__w64
break
case
catch
class
const
const_cast
continue
default
delete
deprecated
dllexport
dllimport
do
dynamic_cast
else
enum
explicit
extern
false
for
friend
goto
if
inline
mutable
naked
namespace
new
noinline
noreturn
nothrow
novtable
operator
private
property
protected
public
register
reinterpret_cast
return
selectany
sizeof
static
static_cast
struct
switch
template
this
thread
throw
true
try
typedef
typeid
typename
union
using
declaration
directive
uuid
virtual
void
volatile
while

[hilight\C++Preprocessor(B128)]
#define
#error
#import
#undef
#elif
#if
#include
#using
#else
#ifdef
#line
#endif
#ifndef
#pragma
defined

[hilight\C++Types]
char
bool
short
int
__int8
__int16
__int32
__int64
long
float
double
unsigned
signed
__wchar_t
wchar_t

[hilight\C++Symbols]
{
}
~
->
//
/*
*/
#
$
&
|
||
&&
'
*
+
,
-
.
/
:
::
;
<
=
>
@
?
!
^
..
=
==
<=
>=   
<>
[
]
(
)

[hilight\C++Win32APITypes(B)]
ATOM
BOOL
BOOLEAN
BYTE
CALLBACK
CHAR
COLORREF
CONST
CRITICAL_SECTION
DWORD
DWORD_PTR
DWORD32
DWORD64
FLOAT
HACCEL
HANDLE
HBITMAP
HBRUSH
HCONV
HCONVLIST
HCURSOR
HDC
HDDEDATA
HDESK
HDROP
HDWP
HENHMETAFILE
HFILE
HFONT
HGDIOBJ
HGLOBAL
HHOOK
HICON
HIMAGELIST
HIMC
HINSTANCE
HKEY
HKL
HLOCAL
HMENU
HMETAFILE
HMODULE
HMONITOR
HPALETTE
HPEN
HRGN
HRSRC
HSZ
HWINSTA
HWND
INT
INT_PTR
INT32
INT64
LANGID
LCID
LCTYPE
LONG
LONG_PTR
LONG32
LONG64
LONGLONG
LPARAM
LPBOOL
LPBYTE
LPCOLORREF
LPCRITICAL_SECTION
LPCSTR
LPCTSTR
LPCVOID
LPCWSTR
LPDWORD
LPHANDLE
LPINT
LPLONG
LPSTR
LPTSTR
LPVOID
LPWORD
LPWSTR
LRESULT
LUID
PBOOL
PBOOLEAN
PBYTE
PCHAR
PCRITICAL_SECTION
PCSTR
PCTSTR
PCWCH
PCWSTR
PDWORD
PFLOAT
PHANDLE
PHKEY
PINT
PLCID
PLONG
PLUID
POINTER_32
POINTER_64
PSHORT
PSTR
PTBYTE
PTCHAR
PTSTR
PTBYTE
PTCHAR
PTSTR
PUCHAR
PUINT
PULONG
PUSHORT
PVOID
PWCHAR
PWORD
PWSTR
REGSAM
SC_HANDLE
SC_LOCK
SERVICE_STATUS_HANDLE
SHORT
SIZE_T
SSIZE_
TBYTE
TCHAR
UCHAR
UINT
UINT_PTR
UINT32
UINT64
ULONG
ULONG_PTR
ULONG32
ULONG64
ULONGLONG
UNSIGNED
USHORT
VOID
WCHAR
WINAPI
WORD
WPARAM

[hilight\comments\C++Comments(I0x0000ff00)]
single=//
double=/* */

// Example for syntaxt hilighting for the group of files
[syntaxexample\C++Keys,C++Types,C++Symbols,C++Comments,C++Preprocessor,C++Win32APITypes]
=//-----------------------------------------------------
=//-----------------------------------------------------
=#include <iostream>
=#include <string.h>
=
=using namespace std;
=void main( int argc, char *argv[], char *envp[])
={
=    int iNumberLines = 0;
=
=    if ( (argc == 2) && _stricmp( argv[1], "/n" ) == 0 )
=         iNumberLines = 1;
=
=    for( int i = 0; envp[i] != NULL; ++i )
=    {
=        if( iNumberLines )
=            cout << i << ": " << envp[i] << "\n";
=    }
=}

[syntaxexample\C++Win32APITypes]
=//-----------------------------------------------------
=//-----------------------------------------------------
=#include <windows>
=
=void Paint(HDC hdc)
={
=    HBRUSH brush = (HBRUSH)CreateSolidBrush((COLORREF)(13));
=    HBRUSH oldbrush = (HBRUSH)SelectObject(hdc, brush); 
=    
=    // ...
=
=    DeleteObject(SelectObject(hdc, oldbrush));
=}

[env1]
name=C++.String
wrapline=no
usethesaurus=yes
spellchecking=yes
backcolor=16771297
"

[CodeTree]
{ }
/* */